Package net.shibboleth.idp.saml.audit.impl

# Class AssertionIDAuditExtractor

java.lang.Object
net.shibboleth.idp.saml.audit.impl.AssertionIDAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<String>>`

public class AssertionIDAuditExtractor extends Object implements Function<ProfileRequestContext,Collection<String>>
`Function` that returns the ID attribute from the assertions in a response.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,SAMLObject>`
`responseLookupStrategy`
Lookup strategy for message to read from.

## Constructor Summary

Constructors
Constructor
Description
`AssertionIDAuditExtractor(Function<ProfileRequestContext,SAMLObject> strategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### responseLookupStrategy

@Nonnull private final Function<ProfileRequestContext,SAMLObject> responseLookupStrategy
Lookup strategy for message to read from.

## Constructor Details

### AssertionIDAuditExtractor

public AssertionIDAuditExtractor(@Nonnull Function<ProfileRequestContext,SAMLObject> strategy)
Constructor.

Parameters:
  `strategy` - lookup strategy for message

## Method Details

### apply

@Nullable @Unmodifiable @NotLive public Collection<String> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Collection<String>>`